function save_analysis_results(handles)
    % save_plot(handles)
    % 
    %  input:
    %           handles = Handle structure of BtA-GUI
    % output:
    %           (none)
    %
    % Function saves relevant results shown in GUI to MAT file.
    
    % Christoph Feenders (ne Echtermeyer), 2010-2011

    mat_filename        = sprintf('%s_analysis.mat', handles.file_basename);
    
    % rename variables for more comfortable access from file
    statistics          = handles.statistics;
    stats_description   = handles.stats_description;
    sorted_index        = handles.sorted_index;
    w                   = handles.w;
    k                   = handles.k;
    no_of_nodes         = handles.no_of_nodes;
    noOfpointsInCluster = handles.noOfpointsInCluster;
    assignments         = handles.assignments;
    PCA_projection      = handles.eigenspace_projection;
    probabilities       = handles.probabilities;
    
    save(mat_filename, 'statistics', 'stats_description', 'sorted_index', ...
        'w', 'k', 'no_of_nodes', 'noOfpointsInCluster', 'assignments', ...
        'PCA_projection', 'probabilities');  
end
