function normalised_node_degrees_Ki = deg_norm_degrees(all_degrees, total_no_of_links)
    % normalised_node_degrees_Ki = deg_norm_degrees(all_degrees, total_no_of_links)
    % 
    %  input:
    %           all_degrees       = List of node degrees
    %           total_no_of_links = Number of network links
    % output:
    %           normalised_node_degrees_Ki
    %                             = List of normalised node degrees
    %
    % Function calculates normalised node degrees and returns them as a list.
    
    % Christoph Echtermeyer, 2009

    normalised_node_degrees_Ki = 0.5 * all_degrees / total_no_of_links;
end
