function [all_in_degrees, all_out_degrees, all_degrees] = get_degrees(connectivity_matrix) 
    % [all_in_degrees, all_out_degrees, all_degrees] = get_degrees(connectivity_matrix)
    % 
    %  input:
    %           connectivity_matrix = Adjacency matrix
    % output:
    %           all_in_degrees      = List of  in-degrees for all nodes
    %           all_out_degrees     = List of out-degrees for all nodes
    %           all_degrees         = List of     degrees for all nodes
    %
    % Function calculates in-/out-/in-out-degrees for all nodes.
    
    % Christoph Feenders (ne Echtermeyer), 2010-2011
    
    all_in_degrees  = sum(connectivity_matrix,1);
    all_out_degrees = sum(connectivity_matrix,2)'; 
    all_degrees     = all_in_degrees + all_out_degrees;
    
end
