function [no_connected_nodes, connected_nodes] = get_no_connected_nodes(connectivity_matrix) 
    % [all_in_degrees, all_out_degrees, all_degrees] = get_degrees(connectivity_matrix)
    % 
    %  input:
    %           connectivity_matrix   = Adjacency matrix
    % output:
    %           no_connected_nodes    = Number of non-isolated nodes
    %           connected_nodes       = List of non-isolated nodes
    %
    % Function determines non-isolated nodes and returns them as well as their number.
    
    % Christoph Feenders (ne Echtermeyer), 2010-2013

    [~, ~, all_degrees] = get_degrees(connectivity_matrix);
    connected_nodes     = find(all_degrees);
    no_connected_nodes  = size(connected_nodes, 2);

end
