function [no_of_isolated_nodes, isolated_nodes] = get_no_isolated_nodes(connectivity_matrix) 
    % [no_of_isolated_nodes, isolated_nodes] = get_no_isolated_nodes(connectivity_matrix)
    % 
    %  input:
    %           connectivity_matrix  = Adjacency matrix
    % output:
    %           no_of_isolated_nodes = Number of isolated nodes
    %           isolated_nodes       = List of isolated nodes
    %
    % Function determines isolated nodes and returns them as well as their number.
    
    % Christoph Feenders (ne Echtermeyer), 2010-2013

    [~, ~, all_degrees]  = get_degrees(connectivity_matrix);
    isolated_nodes       = find(all_degrees==0);
    no_of_isolated_nodes = size(isolated_nodes, 2);

end
