function [connected_matrix, dimension] = remove_isolated_nodes(connectivity_matrix) 
    % connected_matrix = remove_isolated_nodes(connectivity_matrix) 
    % 
    %  input:
    %           connectivity_matrix = Adjacency matrix
    % output:
    %           connected_matrix    = Adjacency matrix
    %           dimension           = Number of nodes in connected network
    %
    % Function returns sub-matrix of given connectivity matrix, such that all 
    % nodes are connected (isolated nodes removed).
    
    % Christoph Feenders (ne Echtermeyer), 2010-2013

    [~, connected_nodes] = get_no_connected_nodes(connectivity_matrix); 
    connected_matrix     = connectivity_matrix(connected_nodes, connected_nodes);
    dimension            = size(connected_matrix, 1);
    
end
