function [t_x, t_y, grid_points] = S0h_get_grid_points(handles)
    % [t_x, t_y, grid_points] = S0h_get_grid_points(handles)
    % 
    %  input:
    %           handles     = Handle structure of BtA-GUI
    % output:
    %           t_x         = Vector of grid points (x-axis)
    %           t_y         = Vector of grid points (y-axis)
    %           grid_points = Matrix of grid points
    %
    % "Beyond the Average"-workflow -- Step 0
    % Preliminary calculations to speed up plotting at later steps.
    
    % Christoph Feenders (ne Echtermeyer), 2009-2011
    
    % preparing data for plots
    t_min = min(handles.eigenspace_projection);
    t_max = max(handles.eigenspace_projection);
    t_x   = linspace(t_min(1), t_max(1), 100);
    t_y   = linspace(t_min(2), t_max(2), 100);
    grid_points = NaN(10000,2);
    k = 0;
    for xx = t_x
        for yy = t_y
            k = k + 1;
            grid_points(k,:) = [xx, yy];
        end
    end
end
