function w_auto = S4_determine_w(probabilities) 
    % w_auto = S4_determine_w(probabilities)
    % 
    %  input:
    %           probabilities = Probabilities
    % output:
    %           w_auto        = Suggested number of sigular nodes
    %
    % "Beyond the Average"-workflow -- Step 4
    % Determine singular nodes.
    
    % Christoph Feenders (ne Echtermeyer), 2009-2011
    
    m      = mean(probabilities);
    sdev   = std(probabilities);
    sorted = sort(probabilities);

    idx_small = find(sorted < m - sdev);
    max_w     = length(idx_small);
    if max_w <= 1 % if none or only one node below mean-sdev...
        w_auto = max_w;
    else % at least 2 nodes below mean-sdev...
        first_above_meansdev = min( 1 + max(idx_small), length(probabilities) );
        small_probabilities  = sorted([idx_small; first_above_meansdev]);
        diffs    = small_probabilities(2:end) - small_probabilities(1:end-1);
        [~, idx] = max(diffs);
        w_auto   = max(idx);
    end        
end
