function [centroids, noOfpointsInCluster, assignments] = S5b_group_nodes(points_to_cluster, k) 
    % [centroids, noOfpointsInCluster, assignments] = S5b_group_nodes(points_to_cluster, k) 
    % 
    %  input:
    %           points_to_cluster   = Data points to cluster
    %           k                   = Number of clusters
    % output:
    %           centroids           = Identified cluster centroids
    %           noOfpointsInCluster = Number of points assigned to cluster
    %           assignments         = IDs of clusters nodes have been assigned to
    %
    % "Beyond the Average"-workflow -- Step 5
    % Helper function to determine k motif groups.
    
    % Christoph Echtermeyer, 2009
    
    if k > 0
        
        % k-means
    %	[centroids, noOfpointsInCluster, assignments] = S5h_Kmeans(points_to_cluster, k);

        % k-means++
        initial_centroids = S5h_centroidFinder(points_to_cluster, k);
        [centroids, noOfpointsInCluster, assignments] = S5h_Kmeans(points_to_cluster, k, initial_centroids);

    else
        
        centroids = [];
        noOfpointsInCluster = [];
        assignments = [];

    end
end
