function k_auto = S5f_determine_k(handles) 
    % [k_auto] = S5f_determine_k(handles) 
    % 
    %  input:
    %           handles     = Data points to cluster
    %           k                   = Number of clusters
    % output:
    %           k_auto      = Identified number of clusters
    %
    % "Beyond the Average"-workflow -- Step 5
    % Helper function to determine appropriate number of motif groups k.
    
    % Christoph Echtermeyer, 2009-2010
     
    SD = std(handles.eigenspace_projection);
    normalised_points = handles.singular_nodes ./ (ones(size(handles.singular_nodes,1), 1) * SD);
    % constant rows have SD=0, so normalised data contains NaNs; replace
    % them with zeros
    normalised_points(isnan(normalised_points)) = 0;

    [k_auto, centroids, noOfpointsInCluster, assignments] = S5f_fast_group_nodes(normalised_points); 
 
 end
